#apiVersion: argoproj.io/v1alpha1
#kind: Application
#metadata:
#  name: openproject
#  finalizers:
#  - resources-finalizer.argocd.argoproj.io
#spec:
#  project: default
#  source:
#    repoURL: 'https://charts.openproject.org'
#    targetRevision: 9.*.*
#    helm:
#      parameters:
#        - name: 'ingress.enabled'
#          value: 'true'
#        - name: 'ingressClassName'
#          value: 'traefik'
##        - name: config.publicUri
##          value: 'openproject.innovation-hub-niedersachsen.de'
#        - name: ingress.host
#          value: 'openproject.innovation-hub-niedersachsen.de'
##        - name: 'openproject.name'
##          value: 'openproject.innovation-hub-niedersachsen.de'
#        - name: 'ingress.tls.enabled'
#          value: 'true'
#        - name: 'ingress.tls.secretName'
#          value: openproject-tls
##        - name: 'tls.secretName'
##          value: openproject-tls  
#        - name: ingress.annotations.kubernetes\.io\/ingress\.class
#          value: traefik
#        - name: ingress.annotations.traefik\.ingress\.kubernetes\.io\/router\.tls
#          value: 'true'
#          forceString: true
#        - name: ingress.annotations.cert-manager\.io\/cluster-issuer
#          value: lets-encrypt-staging
#        - name: 'cron.enabled'
#          value: 'false'
#        - name: 'persistence.enabled'
#          value: 'false'
#        - name: 's3.enabled'
#          value: 'true'
#        - name: 's3.region' 
#          value: 'eu-central-1'
#        - name: 's3.pathStyle'
#          value: 'false'
#        - name: 's3.directUploads'
#          value: 'true'  
#        - name: 's3.bucketName'
#          value: 'openproject'
#        - name: 's3.endpoint'
#          value: 'https://api-s3.innovation-hub-niedersachsen.de'
##        - name: 's3.host'
##          value: 'api-s3.innovation-hub-niedersachsen.de'
#        - name: 's3.enableSignatureV4Streaming'
#          value: 'false'
#        - name: 's3.auth.accessKeyId'
#          value: 'wjpKrmaqXra99rX3D61H'
#        - name: 's3.auth.secretAccessKey'
#          value: 'fTPi0u0FR6Lv9Y9IKydWv6WM0EA5XrsK008HCt9u'
#    chart: openproject
#  destination:
#    server: 'https://kubernetes.default.svc'
#    namespace: openproject
#  syncPolicy:
#    managedNamespaceMetadata:
#      labels: 
#        pod-security.kubernetes.io/enforce: "privileged"
#    automated:
#      selfHeal: true
#      prune: true
#    syncOptions:
#      - CreateNamespace=true
